part of 'discount_management_bloc.dart';

abstract class DiscountManagementEvent {}

class FetchManagedDiscounts extends DiscountManagementEvent {
  final int? status; // 1 for active, 0 for inactive

  FetchManagedDiscounts({this.status});
}

class SearchManagedDiscounts extends DiscountManagementEvent {
  final String query;
  final int? status;

  SearchManagedDiscounts({required this.query, this.status});
}

// **NEW EVENT**
class DeleteDiscount extends DiscountManagementEvent {
  final String discountId;

  DeleteDiscount(this.discountId);
}